package cn.reghao.tnb.common.util;

import java.security.SecureRandom;
import java.util.Random;

/**
 * @author reghao
 * @date 2025-08-19 15:21:06
 */
public class RandomUtil {
    private final static Random random = new SecureRandom();

    public static int getRandomNumber(int max) {
        int min = 0;
        return min + random.nextInt(max - min);
    }

    /**
     * 产生两个数之间的随机数
     *
     * @param min 最小值
     * @param max 最大值
     * @return 随机数
     */
    public static int getNumber(int min, int max) {
        return min + random.nextInt(max - min);
    }

    /**
     * 产生0-num的随机数,不包括num
     *
     * @param num 最大值
     * @return 随机数
     */
    public static int getNumber(int num) {
        return random.nextInt(num);
    }
}
